/* Text2PDF v1.2 (according to text2pdf.c), called v1.1.1, drop target. */
/* Yet another disadvantage of typical ported software is the lack of a */ 
/* matching icon file, and in this case the use of stdout. Text2PDF.CMD */ 
/* uses the WPS interface to compile and execute a Text2PDF.EXE command */
/* line. RFC for porters: always keep your target platform in mind! ;-) */

/* Another possible error is the default number of lines. The number of */
/* lines is calculated and depends, a.o., on the page size, so it isn't */
/* always 60 at all. The input file name mustn't start with a "-". Long */
/* file names are supported, at least by Text2PDF.CMD.                  */

/* There are some possible error conditions, but Text2PDF.CMD prints no */ 
/* error messages, and can be started minimized. Text2PDF.EXE should be */                         
/* located in the same directory as Text2PDF.CMD.                       */

/* WARNING: because Text2PDF.CMD doesn't perform the same checks as the */
/* executable, its behaviour is undefined (> or >>), and OS/2 PMRexx is */
/* broken, an existing file will NOT be deleted nor overwritten. Delete */
/* the existing PDF file to be able to recreate it.                     */

IF Stream('TEXT2PDF.EXE','C','QUERY EXISTS')='' THEN EXIT

PARSE ARG args
options=''
source=''
DO WHILE args<>''
   PARSE VAR args arg args
   IF Left(arg,1)='-' THEN options=Strip(options arg)
   IF Left(arg,1)<>'-' THEN DO
      IF source<>'' THEN EXIT
      IF Left(arg,1)='"' THEN DO
         args=arg args
         PARSE VAR args '"' arg '"' args
      END
      source=arg
   END
END
IF source='' THEN EXIT
drive=FileSpec('D',source)
path=FileSpec('P',source)
input=FileSpec('N',source)
IF input='' THEN EXIT
IF Pos('.',input,1)=0 THEN input=input||'.'
input=Reverse(input)
PARSE VAR input extension '.' input
IF Translate(Reverse(extension))='PDF' THEN EXIT
input=Reverse(input)
target='"'||drive||path||input||'.PDF"'
IF Stream(target,'C','QUERY EXISTS')<>'' THEN EXIT
source='"'||source||'"'

'@TEXT2PDF.EXE' options source '>' target 

EXIT
